package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;


public enum DaySelectEnum {
    今天(0, "今天"),
    近七天(1, "近七天"),
    近三十天(2, "近三十天"),
    近三月(3, "近三月"),
    今年(4, "今年");
    private Integer value;
    private String desc;

    DaySelectEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DaySelectEnum getByValue(Integer value) {
        for (DaySelectEnum alarmLevelEnum : DaySelectEnum.values()) {
            if (alarmLevelEnum.getValue() == value) {
                return alarmLevelEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DaySelectEnum item : DaySelectEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}